import { get, post, put } from "@/utils/requestMethod";

/**
 * 获取报表列表
 * @param {*} page
 * @param {*} page_size
 * @param {*} template_type
 * @param {*} templat_name
 * @param {*} template_format
 * @returns
 */
const getTableTemplateList = (
  page,
  page_size = 10,
  template_type = 0,
  templat_name = "",
  template_format = ""
) => {
  return get(
    `/data/template_list?page=${page}&page_size=${page_size}&template_type=${template_type}&templat_name=${templat_name}&template_format=${template_format}`
  );
};

/**
 * 添加报表模板
 * @param {*} options
 */
const addTableTemplate = (options) => {
  let params = new FormData();
  params.append("template_type", 0);
  options.templatName !== "" &&
    params.append("template_name", options.templatName);
  options.templateFormat !== "" &&
    params.append("template_format", options.templateFormat);
  options.intro !== "" && params.append("introduction", options.intro);
  return post("/data/template", params);
};

/**
 * 添加报告模板
 * @param {*} options
 */
const addReportTemplate = (options) => {
  let params = new FormData();
  params.append("template_type", 0);
  options.templatName !== "" &&
    params.append("template_name", options.templatName);
  options.templateFormat !== "" &&
    params.append("template_format", options.templateFormat);
  options.reportType !== "" && params.append("report_type", options.reportType);
  options.intro !== "" && params.append("introduction", options.intro);
  return post("/data/template", params);
};

/**
 * 获取报告列表
 * @param {*} page
 * @param {*} page_size
 * @param {*} template_type
 * @param {*} templat_name
 * @param {*} template_format
 * @returns
 */
const getReportTemplateList = (
  page,
  page_size = 10,
  template_type = 1,
  templat_name = "",
  template_format = "",
  report_type = ""
) => {
  return get(
    `/data/template_list?page=${page}&page_size=${page_size}&template_type=${template_type}&templat_name=${templat_name}&template_format=${template_format}&report_type=${report_type}`
  );
};

export {
  addTableTemplate,
  addReportTemplate,
  getTableTemplateList,
  getReportTemplateList,
};
